PHP Manual
Prev |  | Next

# geoip_org_by_name

(no version information, might be only in CVS)

geoip_org_by_name -- Get the organization name

## Description

string geoip_org_by_name ( string hostname )

The geoip_org_by_name() function will return the name of the organization that an IP is assigned to.

This function is currently only available to users who have bought a commercial GeoIP Organization, ISP or AS Edition. A warning will be issued if the proper database cannot be located.

## Parameters

hostname

  The hostname or IP address.

## Return Values

Returns the organization name on success, or `FALSE` if the address cannot be found in the database.

## Examples

Example 1. A geoip_org_by_name() example

This will print to whom the host example.com IP is allocated.

`<?php $org = geoip_country_code_by_name('www.example.com'); if ($org) { echo 'This host IP is allocated to: ' . $org; } ?>`

The above example will output:

    This host IP is allocated to: ICANN c/o Internet Assigned Numbers Authority

Prev | Home | Next
geoip_id_by_name | Up | geoip_record_by_name